<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "gmb_location_stats".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "GmbLocationStats".
 *
 * Columns in table "gmb_location_stats" available as properties of the model,
 * followed by relations of table "gmb_location_stats" available as properties of the model.
 *
 * @property integer $id
 * @property integer $provider_practice_gmb_id
 * @property string $period_length
 * @property string $date_added
 * @property string $period_from
 * @property string $period_to
 * @property integer $direct_searches
 * @property integer $indirect_searches
 * @property integer $maps_views
 * @property integer $search_views
 * @property integer $website_actions
 * @property integer $phone_call_actions
 * @property integer $driving_direction_actions
 * @property integer $photo_views
 * @property integer $photos_count
 * @property integer $local_post_views
 * @property integer $local_post_actions
 *
 * @property ProviderPracticeGmb $providerPracticeGmb
 */
abstract class BaseGmbLocationStats extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'gmb_location_stats';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'GmbLocationStats|GmbLocationStats', $n);
    }

    public static function representingColumn()
    {
        return 'period_length';
    }

    public function rules()
    {
        return array(
            array('provider_practice_gmb_id, date_added, period_from, period_to', 'required'),
            array('provider_practice_gmb_id, direct_searches, indirect_searches, maps_views, search_views, website_actions, phone_call_actions, driving_direction_actions, photo_views, photos_count, local_post_views, local_post_actions', 'numerical', 'integerOnly' => true),
            array('period_length', 'length', 'max'=>1),
            array('period_length, direct_searches, indirect_searches, maps_views, search_views, website_actions, phone_call_actions, driving_direction_actions, photo_views, photos_count, local_post_views, local_post_actions', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, provider_practice_gmb_id, period_length, date_added, period_from, period_to, direct_searches, indirect_searches, maps_views, search_views, website_actions, phone_call_actions, driving_direction_actions, photo_views, photos_count, local_post_views, local_post_actions', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'providerPracticeGmb' => array(self::BELONGS_TO, 'ProviderPracticeGmb', 'provider_practice_gmb_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_practice_gmb_id' => null,
            'period_length' => Yii::t('app', 'Period Length'),
            'date_added' => Yii::t('app', 'Date Added'),
            'period_from' => Yii::t('app', 'Period From'),
            'period_to' => Yii::t('app', 'Period To'),
            'direct_searches' => Yii::t('app', 'Direct Searches'),
            'indirect_searches' => Yii::t('app', 'Indirect Searches'),
            'maps_views' => Yii::t('app', 'Maps Views'),
            'search_views' => Yii::t('app', 'Search Views'),
            'website_actions' => Yii::t('app', 'Website Actions'),
            'phone_call_actions' => Yii::t('app', 'Phone Call Actions'),
            'driving_direction_actions' => Yii::t('app', 'Driving Direction Actions'),
            'photo_views' => Yii::t('app', 'Photo Views'),
            'photos_count' => Yii::t('app', 'Photos Count'),
            'local_post_views' => Yii::t('app', 'Local Post Views'),
            'local_post_actions' => Yii::t('app', 'Local Post Actions'),
            'providerPracticeGmb' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('provider_practice_gmb_id', $this->provider_practice_gmb_id);
        $criteria->compare('period_length', $this->period_length, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('period_from', $this->period_from, true);
        $criteria->compare('period_to', $this->period_to, true);
        $criteria->compare('direct_searches', $this->direct_searches);
        $criteria->compare('indirect_searches', $this->indirect_searches);
        $criteria->compare('maps_views', $this->maps_views);
        $criteria->compare('search_views', $this->search_views);
        $criteria->compare('website_actions', $this->website_actions);
        $criteria->compare('phone_call_actions', $this->phone_call_actions);
        $criteria->compare('driving_direction_actions', $this->driving_direction_actions);
        $criteria->compare('photo_views', $this->photo_views);
        $criteria->compare('photos_count', $this->photos_count);
        $criteria->compare('local_post_views', $this->local_post_views);
        $criteria->compare('local_post_actions', $this->local_post_actions);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
